Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162823 - smbd fails when smbd has SELinux protection
Summary: smbd fails when smbd has SELinux protection
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-08 22:32 UTC by long
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 15:50:22 UTC


Attachments (Terms of Use)

Description long 2005-07-08 22:32:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
By default the sebool smbd_disable_trans is 0.  When using XP SP2 to look at my home directory I find that certain files don't show up in explorer.  The smbd log file reports:

[2005/07/05 12:55:52, 10] smbd/trans2.c:get_lanman2_dir_entry(1043)
  get_lanman2_dir_entry: SMB_FIND_FILE_BOTH_DIRECTORY_INFO
[2005/07/05 12:55:52, 10] smbd/mangle_hash2.c:name_map(613)
  name_map: _2032377_1 -> 33EE88FA -> _EEQCQ~I (cache=1)
[2005/07/05 12:55:52, 8] smbd/trans2.c:get_lanman2_dir_entry(869)
  get_lanman2_dir_entry:readdir on dirptr 0x92267d8 now at offset 1071547660
[2005/07/05 12:55:52, 5] smbd/trans2.c:get_lanman2_dir_entry(927)
  get_lanman2_dir_entry:Couldn't stat [pc/mdb/Clients_3.mdb] (Permission denied)

However, if I switch smbd_disable_trans to 1 and restart samba then suddenly I can see all the "invisible" files (like Clients_3.mdb).

Version-Release number of selected component (if applicable):
samba-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. Connect to my home directory share from XP Sp2
2. Browse to folder(s) with invisible files

  

Actual Results:  Some files are not showing up in that folder.


Expected Results:  All the files should show up.


Additional info:

Comment 1 long 2005-07-19 17:38:24 UTC
restorecon -R -v ~long/pc fixed the problem.  Is this a case of user error or
something else?


Comment 2 Christian Iseli 2007-01-22 11:17:53 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 long 2007-01-22 15:50:22 UTC
Seems to not happen in fc5 now.  


Note You need to log in before you can comment on or make changes to this bug.